> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Move Document

> Move a document in the TOC.



## OpenAPI

````yaml /openapi-v1.json post /api/v1/documents/{document_id}/move
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/documents/{document_id}/move:
    post:
      tags:
        - Documents
      summary: Move Document
      description: Move a document in the TOC.
      operationId: core_api_v1_controllers_documents_move_document
      parameters:
        - in: path
          name: document_id
          schema:
            title: Document Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentMoveIn'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentMoveOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    DocumentMoveIn:
      description: Schema for moving a document.
      properties:
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Id
        position:
          anyOf:
            - type: integer
            - type: 'null'
          title: Position
      title: DocumentMoveIn
      type: object
    DocumentMoveOut:
      description: Response schema for document move operation.
      properties:
        object:
          default: document
          title: Object
          type: string
        id:
          title: Id
          type: string
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Id
        position:
          title: Position
          type: integer
      required:
        - id
        - position
      title: DocumentMoveOut
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````